EndpointsCoworlds

Set default league

POST/v2/games/{game_id}/default-league

Choose the league opened by the Coworld's main web address. The league must belong to this game.

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer token issued by Softmax

In: header

Path Parameters

game_id*Game Id

Game whose default league should change.

Match^game_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

Request Body

application/json

league_id?|

Default league ID; null restores automatic selection.

curl -X POST "https://softmax.com/api/observatory/v2/games/string/default-league" \  -H "Content-Type: application/json" \  -d '{}'
{  "league_id": "string"}